PLASMAENGINEEXPLOR(1)

NAME
plasmaengineexplorer - Oferece o acesso direto aos motores de dados do Plasma

SYNOPSIS

plasmaengineexplorer [--height pixels] [--width pixels] [-x pixels] [-y pixels] [--engine nome] [--source nome] [--interval ms]

plasmaengineexplorer [Opções Genéricas do KDE] [Opções Genéricas do Qt]

DESCRIçãO

O plasmaengineexplorer é uma ferramenta gráfica que permite aos programadores testarem os motores de dados do Plasma, sem criarem uma 'applet' do Plasma.

Se não forem indicadas opções, ele será iniciado sem nenhum motor de dados selecionado. O motor de dados desejado pode ser selecionado a partir de uma lista.

Só serão encontrados os motores de dados instalados. O kbuildsycoca4 poderá ter que ser executado para descobrir os motores de dados recém instalados.

OPçõES

--height pixels
    Altera a altura da janela, em pixels.

--width pixels
    Altera a largura da janela, em pixels.

-x pixels
    Altera a coordenada X (horizontal) do canto superior da janela, em pixels.

-y pixels
    Altera a coordenada Y (vertical) do canto superior da janela, em pixels.

--engine nome
    Inicia o plasmaengineexplorer, selecionando o motor de dados indicado. O nome é o nome interno do motor de dados, como é definido no campo 'X-KDE-PluginInfo-Name' do arquivo 'desktop'.

--source nome
    Só é válido em conjunto com o --engine. Necessita de uma fonte específica do motor de dados, quando é iniciado o plasmaengineexplorer.

--interval tempo
    Define o intervalo de atualização padrão das fontes solicitadas como sendo tempo milisegundos. Caso não seja definido, a fonte será atualizada sob demanda (para algumas fontes, ocorrerá quando dados novos estiverem disponíveis). Caso indique o --source, este é o intervalo de atualização que será usado ao solicitar essa fonte.

VEJA TAMBéM

Uma documentação do usuário mais detalhada está disponível em help:/plasma (quer através deste URL no Konqueror, quer através do comando khelpcenter help:/plasma).

EXEMPLOS

Carrega o motor de dados de horas, mostrando a hora local atualizada a cada segundo:

    plasmaengineexplorer --engine time --source Local --interval 1000

AUTORES

O plasmaengineexplorer foi criado por Aaron Seigo <aseigo@kde.org>.